desktopcouch-service consumes 100% cpu

Bug #787583 reported by Felix on 2011-05-24
78
This bug affects 17 people
Affects Status Importance Assigned to Milestone
desktopcouch
Critical
Unassigned
desktopcouch (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: desktopcouch

Everytime i "killall" desktopcouch-service it respawns and continues to waste up my cpu time.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: desktopcouch 1.0.7-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-9.43-generic 2.6.38.4
Uname: Linux 2.6.38-9-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Tue May 24 16:15:30 2011
ExecutablePath: /usr/lib/desktopcouch/desktopcouch-service
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 LANGUAGE=de_DE:en
 LANG=de_DE.utf8
SourcePackage: desktopcouch
UpgradeStatus: Upgraded to natty on 2011-05-02 (21 days ago)

Related branches

Felix (apoapo) wrote :
Apteryx (maxco) wrote :

I'm confirming this bug. The replication steps are simple from a relatively fresh and updated Natty (64 bits) install.

1) Login to a new user account, or to the "Guest" session.
2) In a terminal, issue the "top" command
3) You should notice that desktopcouch-service is eating 100% of CPU.

Workaround: It seems that login in the Ubuntu One service (from ubuntuone-control-panel-gtk) solves the 100% CPU problem.

Changed in desktopcouch (Ubuntu):
status: New → Confirmed
Dave (filosofic) wrote :

After time, it slows my AMD quad-core to a crawl.
So I created a script: killall -9 desktopcouch-service
named the file killdesktopcouch
saved it to my home folder
made it executable with chmod a+x
then added a line to crontab
*/1 * * * * /home/user/./killdesktopcouch
and now i automatically kill the service every minute.
At least it does not continue to spawn more, eat all my ram and take up 100% of one of the cores.
Hope this is fixed soon.

Felix (apoapo) wrote :

sudo rm /usr/bin/desktopcouch-service

and there was silence.. ;-)

no disadvantages so far?!

Dave (filosofic) wrote :

Oddly enough, when I log in as Ubuntu Classic and not using Unity, desktopcouch-service does not run up 100% of my CPU but works perfectly fine.

This bug also affect one of the two users of my machine: now I have exactly 13 instances of desktop-coush running altogether one of them is eating 100% of my CPU.

Some (hopefully useful) information:
Linux ubuntu-HP-dx5150-MT 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

silvia@ubuntu-HP-dx5150-MT:~$ ps -e |grep desktopcouch
 1736 ? 00:00:01 desktopcouch-se
 1916 ? 00:00:01 desktopcouch-se
 1973 ? 00:00:01 desktopcouch-se
 2051 ? 00:00:01 desktopcouch-se
 2066 ? 00:00:01 desktopcouch-se
 2077 ? 00:00:00 desktopcouch-se
 2173 ? 00:00:00 desktopcouch-se
 2357 ? 00:00:00 desktopcouch-se
 2426 ? 00:00:00 desktopcouch-se
 2508 ? 00:00:00 desktopcouch-se
 2518 ? 00:00:00 desktopcouch-se
 2525 ? 00:01:25 desktopcouch-se
 2530 ? 00:00:00 desktopcouch-se
 2531 ? 00:00:00 desktopcouch-se <defunct>

If you need any other information please ask me.
Thanks

same here - am resolving it, as noted, by logging into ubuntu one...
Any word an a fix?

Dave (filosofic) wrote :

I'm not sure what I did, but the issue resolved itself for me.
Logging into Ubuntu Classic, as noted, the problem didn't arise.

I too, logged into Ubuntu One and installed the Enable File Sync, Enable Contacts Sync and Bookmarks Sync as well.

I'm not sure what that installed, but upon a reboot, no more 100% CPU. Right now, 2 instance of destopcouch-service are running, both sleeping with 0% CPU.

Timo Aaltonen (tjaalton) wrote :

Confirming this happening on a user account here, which is running the classic session and not using ubuntuone. For some reason the session starts couchdb, beam.smp (from erlang), and desktopcouch-service, which consumes 100% CPU and is eventually respawned until you run out of memory..

Changed in desktopcouch (Ubuntu):
importance: Undecided → High
benste (benste) wrote :

really hope this will be fixed.
kinda ridiculous issue if you switch to the guest session

Chad Miller (cmiller) on 2011-09-13
Changed in desktopcouch:
status: New → Fix Released
importance: Undecided → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 1.0.8-0ubuntu1

---------------
desktopcouch (1.0.8-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Behavior change: Preserves Ubuntu One service through longer replication
      period, 10 minutes changed to 60 minutes.
    - Feature: Allow COUCH_INI environment variable to override /etc/ default
      config.
    - Feature: Install apport hook.
    - Bug fix: When ubuntuone credentials don't exist, don't wait forever and
      consume CPU. (LP: #760236, #787583)
    - Bug fix: Accept "linux3" kernel also. (LP: #803062)
    - Bug fix: Clean up all children when service exits. (LP: #597197)
  * Update standards-version 3.9.1 to 3.9.2.
  * Remove brace-expansion from python-desktopcouch-application.install .
  * Remove brace-expansion from python-desktopcouch-recordtypes.install .
  * Remove patch
    - patches/5-defer-dbus-service-for-plugins.patch
  * Remove deprecated CDBS simple-patch system from rules.
 -- Chad MILLER <email address hidden> Tue, 13 Sep 2011 17:08:41 +0200

Changed in desktopcouch (Ubuntu):
status: Confirmed → Fix Released

Any chance of getting this into the natty package sources?
Users will be stuck with completely unresponsive Ubuntu systems until oneiric gets out. I can confirm that it makes a bad impression on the users of my computer.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers